Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_istate.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_istate.F90	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_istate.F90	(revision 12812)
@@ -64,9 +64,24 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~   '
       !
-      IF (ln_sshnoise) CALL RANDOM_NUMBER(zrandom)
       zjetx = ABS(rn_ujetszx)/2.
       zjety = ABS(rn_ujetszy)/2.
       !
+      zf0   = 2._wp * omega * SIN( rad * rn_ppgphi0 )
+      !
       SELECT CASE(nn_initcase)
+
+      CASE(-1)    ! stratif at rest
+
+         ! sea level:
+         pssh(:,:) = 0.
+         ! temperature:
+         pts(:,:,1,jp_tem) = 25. !!30._wp
+         pts(:,:,2:jpk,jp_tem) = 22. !!24._wp
+         ! salinity:  
+         pts(:,:,:,jp_sal) = 35._wp
+         ! velocities:
+         pu(:,:,:) = 0.
+         pv(:,:,:) = 0.
+
       CASE(0)    ! rest
          
@@ -96,7 +111,7 @@
             zbeta = 2._wp * omega * COS( rad * rn_ppgphi0 ) / ra
             WHERE( ABS(gphit) <= zjety )
-               pssh(:,:) = - rn_uzonal / grav * ( ff_t(:,:) * gphit(:,:) * 1.e3 + 0.5 * zbeta * gphit(:,:) * gphit(:,:) * 1.e6 )
-            ELSEWHERE
-               pssh(:,:) = - rn_uzonal / grav * ( ff_t(:,:) * SIGN(zjety, gphit(:,:)) * 1.e3   &
+               pssh(:,:) = - rn_uzonal / grav * ( zf0 * gphit(:,:) * 1.e3 + 0.5 * zbeta * gphit(:,:) * gphit(:,:) * 1.e6 )
+            ELSEWHERE
+               pssh(:,:) = - rn_uzonal / grav * ( zf0 * SIGN(zjety, gphit(:,:)) * 1.e3   &
                   &                             + 0.5 * zbeta * zjety * zjety * 1.e6 )
             END WHERE
@@ -107,5 +122,10 @@
          pts(:,:,jpk,jp_sal) = 0.
          DO jk=1, jpkm1
-            pts(:,:,jk,jp_sal) = gphit(:,:)
+            WHERE( ABS(gphit) <= zjety )
+!!$            WHERE( ABS(gphit) <= zjety*0.5 .AND. ABS(glamt) <= zjety*0.5 ) ! for a square of salt
+               pts(:,:,jk,jp_sal) = 35.
+            ELSEWHERE
+               pts(:,:,jk,jp_sal) = 30.
+            END WHERE                    
          END DO
          ! velocities:
@@ -132,8 +152,8 @@
             WHERE( ABS(gphit) <= zjety )
                pssh(:,:) = - SIGN(rn_uzonal, gphit(:,:)) / grav   &
-                  &        * ( ff_t(:,:) * gphit(:,:) * 1.e3 + 0.5 * zbeta * gphit(:,:) * gphit(:,:) * 1.e6 )
+                  &        * ( zf0 * gphit(:,:) * 1.e3 + 0.5 * zbeta * gphit(:,:) * gphit(:,:) * 1.e6 )
             ELSEWHERE
                pssh(:,:) = - SIGN(rn_uzonal, gphit(:,:)) / grav   &
-                  &        * ( ff_t(:,:) * SIGN(zjety, gphit(:,:)) * 1.e3 + 0.5 * zbeta * zjety * zjety * 1.e6 )
+                  &        * ( zf0 * SIGN(zjety, gphit(:,:)) * 1.e3 + 0.5 * zbeta * zjety * zjety * 1.e6 )
             END WHERE
          END SELECT
@@ -141,7 +161,7 @@
          pts(:,:,:,jp_tem) = 10._wp
          ! salinity:  
-         pts(:,:,:,jp_sal) = 2.
-         DO jk=1, jpkm1
-            WHERE( ABS(gphiv) <= zjety ) pts(:,:,jk,jp_sal) = 2. + SIGN(1.,gphiv(:,:))
+         pts(:,:,:,jp_sal) = 30.
+         DO jk=1, jpkm1
+            WHERE( ABS(gphiv) <= zjety ) pts(:,:,jk,jp_sal) = 30. + SIGN(1.,gphiv(:,:))
          END DO
          ! velocities:
@@ -176,5 +196,5 @@
          ! salinity:  
          DO jk=1, jpkm1
-            pts(:,:,jk,jp_sal) = gphit(:,:)
+            pts(:,:,jk,jp_sal) = pssh(:,:)
          END DO
          ! velocities:
@@ -213,5 +233,5 @@
          zf0   = 2._wp * omega * SIN( rad * rn_ppgphi0 )
          zumax = rn_vtxmax * SIGN(1._wp, zf0) ! Here Anticyclonic: set zumax=-1 for cyclonic
-         zlambda = SQRT(2._wp)*rn_lambda       ! Horizontal scale in meters 
+         zlambda = SQRT(2._wp)*rn_lambda*1.e3       ! Horizontal scale in meters 
          zn2 = 3.e-3**2
          zH = 0.5_wp * 5000._wp
@@ -253,6 +273,6 @@
          ! velocities:
          za = 2._wp * zP0 / zlambda**2
-         DO jj=1, jpj
-            DO ji=1, jpim1
+         DO jj = 2, jpjm1
+            DO ji = 2, jpim1
                zx = glamu(ji,jj) * 1.e3
                zy = gphiu(ji,jj) * 1.e3
@@ -270,6 +290,6 @@
          END DO
          !
-         DO jj=1, jpjm1
-            DO ji=1, jpi
+         DO jj = 2, jpjm1
+            DO ji = 2, jpim1
                zx = glamv(ji,jj) * 1.e3
                zy = gphiv(ji,jj) * 1.e3
@@ -287,15 +307,14 @@
          END DO
          !            
+         CALL lbc_lnk_multi( 'usrdef_istate', pu, 'U', -1., pv, 'V', -1. )
+
       END SELECT
 
       IF (ln_sshnoise) THEN
+         CALL RANDOM_SEED()
          CALL RANDOM_NUMBER(zrandom)
          pssh(:,:) = pssh(:,:) + ( 0.1  * zrandom(:,:) - 0.05 )
       END IF
-      CALL lbc_lnk( 'usrdef_istate', pssh, 'T',  1. )
-      CALL lbc_lnk(  'usrdef_istate', pts, 'T',  1. )
-      CALL lbc_lnk(   'usrdef_istate', pu, 'U', -1. )
-      CALL lbc_lnk(   'usrdef_istate', pv, 'V', -1. )
-
+  
    END SUBROUTINE usr_def_istate
 
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_nam.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_nam.F90	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_nam.F90	(revision 12812)
@@ -50,4 +50,5 @@
    LOGICAL , PUBLIC ::   ln_sshnoise=.false. ! add random noise on initial ssh
    REAL(wp), PUBLIC ::   rn_lambda  = 50.    ! gaussian lambda
+   INTEGER , PUBLIC ::   nn_perio   =    0   ! periodicity of the channel (0=closed, 1=E-W)
 
    !!----------------------------------------------------------------------
@@ -79,7 +80,7 @@
       !!
       NAMELIST/namusr_def/  rn_domszx, rn_domszy, rn_domszz, rn_dx, rn_dy, rn_dz, rn_0xratio, rn_0yratio   &
-         &                 , nn_fcase, rn_ppgphi0, rn_vtxmax, rn_uzonal, rn_ujetszx, rn_ujetszy   &
-         &                 , rn_u10, rn_windszx, rn_windszy, rn_uofac   &
-         &                 , nn_botcase, nn_initcase, ln_sshnoise, rn_lambda
+         &                 , nn_fcase, rn_ppgphi0, rn_u10, rn_windszx, rn_windszy & !!, rn_uofac   &
+         &                 , rn_vtxmax, rn_uzonal, rn_ujetszx, rn_ujetszy  &
+         &                 , nn_botcase, nn_initcase, ln_sshnoise, rn_lambda, nn_perio
       !!----------------------------------------------------------------------
       !
@@ -151,8 +152,8 @@
          WRITE(numout,*) '      add random noise on initial ssh   ln_sshnoise= ', ln_sshnoise
          WRITE(numout,*) '      Gaussian lambda parameter          rn_lambda = ', rn_lambda
-         WRITE(numout,*) '   '
-         WRITE(numout,*) '   Lateral boundary condition of the global domain'
-         WRITE(numout,*) '      EW_CANAL : closed basin               jperio = ', kperio
+         WRITE(numout,*) '      Periodicity of the basin            nn_perio = ', nn_perio
       ENDIF
+      !                             ! Set the lateral boundary condition of the global domain
+      kperio = nn_perio                    ! EW_CANAL configuration : closed basin
       !
    END SUBROUTINE usr_def_nam
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_sbc.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_sbc.F90	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_sbc.F90	(revision 12812)
@@ -17,5 +17,5 @@
    USE sbc_oce         ! Surface boundary condition: ocean fields
    USE phycst          ! physical constants
-   USE usrdef_nam, ONLY : rn_u10, rn_uofac, rn_windszy 
+   USE usrdef_nam, ONLY : rn_u10, rn_uofac, rn_windszy, rn_windszx 
    !
    USE in_out_manager  ! I/O manager
@@ -71,7 +71,4 @@
          !
          utau(:,:) = 0._wp
-         IF( rn_u10 /= 0. .AND. rn_windszy > 0. ) THEN
-            WHERE( ABS(gphit) <= rn_windszy/2. ) utau(:,:) = zrhocd * rn_u10 * rn_u10
-         ENDIF
          vtau(:,:) = 0._wp
          taum(:,:) = 0._wp
@@ -83,4 +80,12 @@
          qsr (:,:) = 0._wp
          !         
+      ENDIF
+
+      IF( rn_u10 /= 0. .AND. rn_windszy > 0. ) THEN
+         IF( nyear == 1 .AND. nmonth == 1 .AND. nday <= 10 ) THEN
+            WHERE( ABS(gphit) <= rn_windszy/2. .AND. ABS(glamt) <= rn_windszx/2. ) utau(:,:) = zrhocd * rn_u10 * rn_u10
+         ELSE
+            utau(:,:) = 0.
+         ENDIF
       ENDIF
 
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_zgr.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_zgr.F90	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/CANAL/MY_SRC/usrdef_zgr.F90	(revision 12812)
@@ -199,7 +199,7 @@
          zmaxlam = MAXVAL(glamt)
          CALL mpp_max( 'usrdef_zgr', zmaxlam )                 ! max over the global domain
-         zscl = rpi / zmaxlam
-         z2d(:,:) = 0.5 * ( 1. - COS( glamt(:,:) * zscl ) )
-         z2d(:,:) = REAL(jpkm1 - NINT( 0.75 * REAL(jpkm1,wp) * z2d(:,:) ), wp)
+         zscl = 0.5 * rpi / zmaxlam
+         z2d(:,:) = COS( glamt(:,:) * zscl )
+         z2d(:,:) = REAL(jpkm1 - NINT( 0.5 * REAL(jpkm1,wp) * z2d(:,:) ), wp)
       END SELECT
       !
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg	(revision 12812)
@@ -88,5 +88,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization
 
    sn_hti = 'initice_60pts'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_120pts
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_120pts	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_120pts	(revision 12812)
@@ -88,5 +88,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization 
 
    sn_hti = 'initice_120pts'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_240pts
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_240pts	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_240pts	(revision 12812)
@@ -88,5 +88,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization 
 
    sn_hti = 'initice_240pts'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_60pts
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_60pts	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_60pts	(revision 12812)
@@ -88,5 +88,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization 
 
    sn_hti = 'initice_60pts'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV2D/EXPREF/namelist_ice_cfg
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV2D/EXPREF/namelist_ice_cfg	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_ADV2D/EXPREF/namelist_ice_cfg	(revision 12812)
@@ -86,5 +86,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization 
 
    sn_hti = 'initice'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
Index: /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_AGRIF/EXPREF/namelist_ice_cfg
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_AGRIF/EXPREF/namelist_ice_cfg	(revision 12811)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_dan_test_clems_branch/tests/ICE_AGRIF/EXPREF/namelist_ice_cfg	(revision 12812)
@@ -86,5 +86,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization 
 
    sn_hti = 'initice'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
